%%
clc
clear
load('figure5_data.mat')
load('Bsweep.mat'); %Field sweep to plot
%% 2D map B vs n, G
clc
n = 100; % number of plateaus in colorscale
plotrange = 1650:3001; % Plot range of data

Gxymat_rn = Gxymat(plotrange,:);

figure(2)
clf
hold on
surf((Bmat),nsm(plotrange)/1E11,((Gxymat_rn)),'EdgeColor','none','LineStyle','none');
view(2)
grid off
xlim([0 8.9])
ylim([nsm(plotrange(1))/1E11 nsm(plotrange(end))/1E11])

axh = gca;
axh.CLim = [0 10];
colormap(jet(n))
cb = colorbar;
xlabel(cb,'G_{xy} (e^2/h)');
ylabel('n (10^{11}cm^{-2})')
xlabel('B (T)')
axh.Layer='top';

axh2=axes();
kk = 746; % Trace to plot (5E11)
plot(Bmat,Gxymat_rn(kk,:),'black')
ylim([0 10])
xlim([2 8.9])

% Formatting the figure
set([axh,axh2],'XTick',0:2:10)
axh2.XAxis.TickLabels = [];
axh2.YAxis.MinorTickValues=0:1:100;
axh2.YAxis.MinorTick='on';
axh.Position = [0.32 0.17 0.65 0.53];
fact =(8.9-2)/8.9;
width = fact*axh.Position(3);
xsp = (1-fact)*axh.Position(3)+axh.Position(1);
axh2.Position = [xsp 0.72 width 0.2];
cb.Position = [axh.Position(1) axh2.Position(2) 0.08 axh2.Position(4)];
cb.AxisLocation='out';
axh2.YAxis.TickLabels = [];
set([cb,axh,axh2],'FontSize',9)
set([cb,axh,axh2],'FontName','ArialMT')
axh.XAxis.Label.FontSize =10;
axh.YAxis.Label.Position = [-2.7 3.9289 1];
cb.Label.Position=[-2 5 0];
cb.Ticks = 0:1:10;
cb.TickLabels = {'0','','','','','5','','','','','10'};
% Process('filename','Gxy_158','width',4,'height',7,'nolayout',true,'fontsize',9);
%% 2D map B vs N, Rhoxx
clc
Rhoxxmat_rn = Rhoxxmat(plotrange,:);

figure(3)
clf
hold all
surf(Bmat,nsm(plotrange)/1E11,((Rhoxxmat_rn))/1000,'EdgeColor','none','LineStyle','none');
view(2)
grid off
xlim([0 8.9])
ylim([nsm(plotrange(1))/1E11 nsm(plotrange(end))/1E11])
axh = gca;
axh.CLim = [0 0.5];

colormap(jet(n))
cb = colorbar;
ylabel('p_{2D} (10^{11}cm^{-2})')
xlabel('B (T)')
axh.Layer='top';
axh2=axes();
plot(Bx,Rxxy/1000,'black')
ylabel('\rho_{xx} (k\Omega)');

ylim([0 0.8])
xlim([0 7])

set([axh,axh2],'XTick',0:2:10)
axh2.XAxis.TickLabels = [];
axh2.YAxis.TickValues = 0:0.4:2;
axh2.YAxis.MinorTickValues=0:0.1:0.8;
axh2.YAxis.MinorTick='on';
axh.Position = [0.32 0.17 0.65 0.53];
fact =(7-0)/8.9;
width = fact*axh.Position(3)*0.99;
xsp = (1-fact)*axh.Position(3)+axh.Position(1);
axh2.Position = [axh.Position(1) 0.72 width 0.2];
% cb.Location = 'eastoutside'
cb.Position = [axh.Position(1)+axh.Position(3)-0.08 axh2.Position(2) 0.08 axh2.Position(4)];
cb.AxisLocation='in';
% axh2.YAxis.TickLabels = [];
set([cb,axh,axh2],'FontSize',9)
set([cb,axh,axh2],'FontName','ArialMT')
axh.XAxis.Label.FontSize =10;
% cb.Label.Position=[-2 0.25 0]
axh2.YAxis.Label.Position = [-2.7 0.4 0]
axh.YAxis.Label.Position = [-2.7 3.9289 1]
cb.Ticks = 0:0.1:0.8
cb.TickLabels = [];
% Process('filename','Rxx_158','width',4,'height',7,'nolayout',true,'fontsize',9);

